Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Sample request:
POST /purchaseorderreceipts
{
"purchase_order_id": 1,
"purchase_order_receipt_items": [
{
"purchase_order_item_id": 3,
"stock_receipt_id": 1,
"quantity_received": 3,
"quantity_faulty": 1,
"quantity_invoiced": 1,
"buy_price_ex": 1.1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"bin": "bin",
"include_tax": true,
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"notes": "notes",
"supplier_invoice_number": "sample invoice number"
}]
}
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Receipt
Purchase Order Receipt created
Purchase order receipts model
Purchase order receipts identifier
Purchase order identifier
Purchase order receipt item
Purchase order receipt supplier invoices
Supplier invoice number (max length = 50)
Allowed values:AvailableIn ProgressFinalised
Created on
Modified On
Made available on
Finalised on
Total buy price ex
Total products received
Total quantity received
Total quantity expected
Total quantity faulty
Total quantity received variance
Total quantity invoiced
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Searches Purchase Order Receipts
Filter by.
Available field name values: id, purchase_order_id, status, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, total_buy_price_ex, total_products_received, total_quantity_received, total_quantity_expected, total_quantity_faulty, total_quantity_received_variance, total_quantity_invoiced, total_tax, total_buy_price_inc, purchase_order_supplier, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432
Order by.
Available field name values: id, purchase_order_id, status, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, made_available_on, made_available_by_id, made_available_by_first_name, made_available_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, total_buy_price_ex, total_products_received, total_quantity_received, total_quantity_expected, total_quantity_faulty, total_quantity_received_variance, total_quantity_invoiced, total_tax, total_buy_price_inc, total_applied_buy_price_ex, total_direct_costs_ex, total_cogs_ex, total_cogs_inc.
Available direction values: asc, desc.
Example: id asc, status desc
Include items
>= 1<= 100000
>= 1<= 2147483647
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Paging Response with Purchase Order Receipts data
Purchase order receipts model
Sample request:
PUT /purchaseorderreceipts/1
{
"status": "Available"
}
Purchase Order Receipt id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Receipt model
Purchase Order Receipt was updated
Purchase order receipts model
Purchase order receipts identifier
Purchase order identifier
Purchase order receipt item
Purchase order receipt supplier invoices
Supplier invoice number (max length = 50)
Allowed values:AvailableIn ProgressFinalised
Created on
Modified On
Made available on
Finalised on
Total buy price ex
Total products received
Total quantity received
Total quantity expected
Total quantity faulty
Total quantity received variance
Total quantity invoiced
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Deletes specific Purchase Order Receipt by id
Purchase Order Receipt id
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Purchase Order Receipt was deleted